=== debian/control ===
Source: ros-foxy-realtime-tools
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-test-msgs, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/realtime_tools
Standards-Version: 3.9.2

Package: ros-foxy-realtime-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-cmake, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-ros-workspace
Description: Contains a set of tools that can be used from a hard realtime thread, without breaking the realtime behavior.
